//***************************************************************************
//  JPAlert 1.0
//    21/10/2000
//    Manage an Alert Box
//
//    Jean-Philippe Rennard
//    alife@rennard.org
//    http://www.rennard.org/alife
//***************************************************************************
package vabase;

import java.awt.*;
import java.awt.event.*;

/** Gestion d'une bote d'alerte */
public class JPAlert extends Dialog implements ActionListener {

  Button BtnOk=new Button("OK");
  Frame msg;

  public JPAlert(Frame f, String txt) {
    super(f, "Stop !", true);
    msg=f;
    add(new Label(txt), BorderLayout.CENTER);
    add(BtnOk, BorderLayout.SOUTH);
    BtnOk.addActionListener(this);
    pack();
    this.setLocation(f.getLocation().x+(f.getSize().width/2)-
        (this.getSize().width/2),this.getLocation().y+(f.getSize().height/2)-
        (this.getSize().height/2));

    show();
  }
  public void actionPerformed(ActionEvent e) {
    dispose();
  }
}
